Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Macros | Typedefs | Enumerations
dawg.h File Reference
`#include "elst.h"`
`#include "ratngs.h"`
`#include "params.h"`
`#include "tesscallback.h"`

Go to the source code of this file.

## Classes

struct | tesseract::NodeChild
class | tesseract::Dawg
struct | tesseract::DawgInfo
class | tesseract::DawgInfoVector
class | tesseract::SquishedDawg

## Namespaces

namespace | tesseract

## Macros

#define | FORWARD_EDGE (inT32) 0
#define | BACKWARD_EDGE (inT32) 1
#define | MAX_NODE_EDGES_DISPLAY (inT64) 100
#define | MARKER_FLAG (inT64) 1
#define | DIRECTION_FLAG (inT64) 2
#define | WERD_END_FLAG (inT64) 4
#define | LETTER_START_BIT 0
#define | NUM_FLAG_BITS 3
#define | REFFORMAT "%lld"

## Typedefs

typedef uinT64 | EDGE_RECORD
typedef EDGE_RECORD * | EDGE_ARRAY
typedef inT64 | EDGE_REF
typedef inT64 | NODE_REF
typedef EDGE_REF * | NODE_MAP
typedef GenericVector< NodeChild > | tesseract::NodeChildVector
typedef GenericVector< int > | tesseract::SuccessorList
typedef GenericVector < SuccessorList * > | tesseract::SuccessorListsVector

## Enumerations

enum | tesseract::DawgType { tesseract::DAWG_TYPE_PUNCTUATION, tesseract::DAWG_TYPE_WORD, tesseract::DAWG_TYPE_NUMBER, tesseract::DAWG_TYPE_PATTERN, tesseract::DAWG_TYPE_COUNT }

## Macro Definition Documentation

#define BACKWARD_EDGE (inT32) 1

Definition at line 85 of file dawg.h.

#define DIRECTION_FLAG (inT64) 2

Definition at line 88 of file dawg.h.

#define FORWARD_EDGE (inT32) 0

Definition at line 84 of file dawg.h.

#define LETTER_START_BIT 0

Definition at line 90 of file dawg.h.

#define MARKER_FLAG (inT64) 1

Definition at line 87 of file dawg.h.

#define MAX_NODE_EDGES_DISPLAY (inT64) 100

Definition at line 86 of file dawg.h.

#define NUM_FLAG_BITS 3

Definition at line 91 of file dawg.h.

#define REFFORMAT "%lld"

Definition at line 92 of file dawg.h.

#define WERD_END_FLAG (inT64) 4

Definition at line 89 of file dawg.h.

## Typedef Documentation

typedef EDGE_RECORD* EDGE_ARRAY

Definition at line 53 of file dawg.h.

typedef uinT64 EDGE_RECORD

Definition at line 50 of file dawg.h.

typedef inT64 EDGE_REF

Definition at line 54 of file dawg.h.

typedef EDGE_REF* NODE_MAP

Definition at line 56 of file dawg.h.

typedef inT64 NODE_REF

Definition at line 55 of file dawg.h.